Subject: Re: git diff does not precompose unicode file paths (OS X)

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 8 Mar 2016 13:30:21 +0100

>> And if not, I can put it on my TODO-stack.
> I have read through the official contribution guidelines and I think I can
> send an official patch.
>
> In this case, would you prefer to have a single commit since the change
> is related? Or would you prefer keeping it in separate commits, since
> they are different commands and I can use commit subjects like “diff:”
> and “diff-index:”, etc.?
>
Thanks for the work.
The same issue fixed at different places:
I personally would prefer a single commit.

Another thing is, if we want to add TC in t3910,
to avoid future regressions.
(Otherwise I can help with those)